curl --request POST \
--url https://{host}/bonus/v1/payments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"memberId": "<string>",
"operationId": "<string>",
"amount": 123,
"reserveAvailable": true,
"instantCapture": true,
"metadata": {},
"accountType": "<string>"
}
'import requests
url = "https://{host}/bonus/v1/payments"
payload = {
"memberId": "<string>",
"operationId": "<string>",
"amount": 123,
"reserveAvailable": True,
"instantCapture": True,
"metadata": {},
"accountType": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memberId: '<string>',
operationId: '<string>',
amount: 123,
reserveAvailable: true,
instantCapture: true,
metadata: {},
accountType: '<string>'
})
};
fetch('https://{host}/bonus/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": 123,
"amount": 123,
"conversionRate": 123
}{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Create a payment transaction
The transaction can be captured instantly if ‘InstantCapture’ parameter is set to true. The operation is idempotent.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
Payment operation details.
Member id.
1 - 36Unique identifier of the operation (should be the same only for retries of the same operation).
1 - 128Amount to be reserved. Can be only positive.
Indicates whether to reserve the available account balance if it is less than the amount to be reserved.
Indicates whether a capture of the reservation is instantaneous.
Set of key-value pairs that you can attach to a payment transaction. This can be useful for storing additional information about the transaction in a structured format.
Show child attributes
Show child attributes
Account type to be used (optional)